/**
 * Copyright &copy; 2012-2016 <a href="https://github.com/thinkgem/jeesite">JeeSite</a> All rights reserved.
 */
package com.lightinit.hsdatagateway.modules.gateway.entity;

import org.hibernate.validator.constraints.Length;

import com.lightinit.hsdatagateway.common.persistence.DataEntity;

import java.util.Date;

/**
 * 应用管理Entity
 * @Author yangrui
 * @version 2019-03-05
 */
public class BizApp extends DataEntity<BizApp> {
	
	private static final long serialVersionUID = 1L;
	private String appId;		// 应用ID
	private String appName;		// 应用名称
	private String appStatus;		// 应用状态
	private String remark;		// 备注
	private Date createdAt;		// 创建时间
	private String createdBy;		// 创建人
	private Date deletedAt;		// 删除时间
	private String deletedBy;		// 删除人
	
	public BizApp() {
		super();
	}

	public BizApp(Long id){
		super(id);
	}

	@Length(min=1, max=255, message="应用ID长度必须介于 1 和 255 之间")
	public String getAppId() {
		return appId;
	}

	public void setAppId(String appId) {
		this.appId = appId;
	}
	
	@Length(min=0, max=255, message="应用名称长度必须介于 0 和 255 之间")
	public String getAppName() {
		return appName;
	}

	public void setAppName(String appName) {
		this.appName = appName;
	}
	
	@Length(min=0, max=64, message="应用状态长度必须介于 0 和 64 之间")
	public String getAppStatus() {
		return appStatus;
	}

	public void setAppStatus(String appStatus) {
		this.appStatus = appStatus;
	}
	
	@Length(min=0, max=255, message="备注长度必须介于 0 和 255 之间")
	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}
	
	public Date getCreatedAt() {
		return createdAt;
	}

	public void setCreatedAt(Date createdAt) {
		this.createdAt = createdAt;
	}
	
	@Length(min=0, max=255, message="创建人长度必须介于 0 和 255 之间")
	public String getCreatedBy() {
		return createdBy;
	}

	public void setCreatedBy(String createdBy) {
		this.createdBy = createdBy;
	}
	
	public Date getDeletedAt() {
		return deletedAt;
	}

	public void setDeletedAt(Date deletedAt) {
		this.deletedAt = deletedAt;
	}
	
	@Length(min=0, max=255, message="删除人长度必须介于 0 和 255 之间")
	public String getDeletedBy() {
		return deletedBy;
	}

	public void setDeletedBy(String deletedBy) {
		this.deletedBy = deletedBy;
	}
	
}